xmin <- 10
xmax <- 35

T_CM_0 <- read.csv(file="Terephthathalic acid CM_zero weeks.xy", sep="", header=FALSE)
T_CM_0 <- subset(T_CM_0, T_CM_0[,1] >= xmin & T_CM_0[,1] <= xmax)
T_CM_0[,2] <- T_CM_0[,2] / max(T_CM_0[,2])

I_CM_0 <- read.csv(file="Isophthalic acid CM_zero weeks.xy", sep="", header=FALSE)
I_CM_0 <- subset(I_CM_0, I_CM_0[,1] >= xmin & I_CM_0[,1] <= xmax)
I_CM_0[,2] <- I_CM_0[,2] / max(I_CM_0[,2])

IT_separate_0 <- read.csv(file="Isophthalic and terephthalic acid CM separately_zero weeks.xy", sep="", header=FALSE)
IT_separate_0 <- subset(IT_separate_0, IT_separate_0[,1] >= xmin & IT_separate_0[,1] <= xmax)
IT_separate_0[,2] <- IT_separate_0[,2] / max(IT_separate_0[,2])

IT_together_0 <- read.csv(file="Isophthalic and terephthalic acid CM together_zero weeks.xy", sep="", header=FALSE)
IT_together_0 <- subset(IT_together_0, IT_together_0[,1] >= xmin & IT_together_0[,1] <= xmax)
IT_together_0[,2] <- IT_together_0[,2] / max(IT_together_0[,2])

IT_separate_3 <- read.csv(file="Isophthalic and terephthalic acid CM separately_week 3.xy", sep="", header=FALSE)
IT_separate_3 <- subset(IT_separate_3, IT_separate_3[,1] >= xmin & IT_separate_3[,1] <= xmax)
IT_separate_3[,2] <- IT_separate_3[,2] / max(IT_separate_3[,2])

IT_together_3 <- read.csv(file="Isophthalic and terephthalic acid CM together_week 3.xy", sep="", header=FALSE)
IT_together_3 <- subset(IT_together_3, IT_together_3[,1] >= xmin & IT_together_3[,1] <= xmax)
IT_together_3[,2] <- IT_together_3[,2] / max(IT_together_3[,2])

offset <- 1
library(fields)
start_text_position_y <- -0.15
start_text_position_x <- 15
pdf("IT_XRPD_for_paper.pdf", 8.3, 11.7)
plot(T_CM_0, type="l", xlab=expression(paste("Angle (",degree,"2", theta,")")), ylab="Intensity (offset and normalised)", ylim=c(0, 6))
text(start_text_position_x, start_text_position_y, "Terepthalic acid zero weeks")
lines(I_CM_0[,1], I_CM_0[,2] + offset)
text(start_text_position_x, start_text_position_y+offset, "Isopthalic acid zero weeks")
lines(IT_separate_0[,1], IT_separate_0[,2] + offset*2)
text(start_text_position_x, start_text_position_y+offset*2, "Physical mixture zero weeks")
lines(IT_separate_3[,1], IT_separate_3[,2] + offset*3)
text(start_text_position_x, start_text_position_y+offset*3, "Physical mixture three weeks")
lines(IT_together_0[,1], IT_together_0[,2] + offset*4)
text(start_text_position_x, start_text_position_y+offset*4, "Co-milled zero weeks")
lines(IT_together_3[,1], IT_together_3[,2] + offset*5)
text(start_text_position_x, start_text_position_y+offset*5, "Co-milled three weeks")
xline(26.95, col="red")
#xline(27.9, col="red")
dev.off()


