range <- function(dataset, two_theta_min=24, two_theta_max = 30.98)
{
dataset_ranged <- subset(dataset, dataset[,1] >= two_theta_min & dataset[,1] <= two_theta_max)
return(dataset_ranged)
}

rescale <- function(dataset)
{
dataset_scaled <- cbind(dataset[,1], scale(dataset[,2]))
return(dataset_scaled)
}


i_cm_zero <- read.csv(file="Isophthalic acid CM _zero weeks.xy", sep=" ", header=FALSE)
i_cm_zero_ranged <- range(i_cm_zero)
i_cm_zero_ranged_scaled <- rescale(i_cm_zero_ranged)

p_cm_zero <- read.csv(file="Phthalic acid CM_zero weeks.xy", sep=" ", header=FALSE)
p_cm_zero_ranged <- range(p_cm_zero)
p_cm_zero_ranged_scaled <- rescale(p_cm_zero_ranged)

pi_together_cm_zero <- read.csv(file="Phthalic and isophthalic acid CM together _zero weeksxrdml.xy", sep=" ", header=FALSE)
pi_together_cm_zero_ranged <- range(pi_together_cm_zero)
pi_together_cm_zero_ranged_scaled <- rescale(pi_together_cm_zero_ranged)

pi_separate_cm_zero <- read.csv(file="Phthalic and isophthalic CM separately_zero weeks.xy", sep=" ", header=FALSE)
pi_separate_cm_zero_ranged <- range(pi_separate_cm_zero)
pi_separate_cm_zero_ranged_scaled <- rescale(pi_separate_cm_zero_ranged)

offset <- 4
plot(pi_together_cm_zero_ranged_scaled, type="l", ylim=c(min(pi_together_cm_zero_ranged_scaled[,2]), max(pi_together_cm_zero_ranged_scaled[,2])+offset*3+5))
lines(pi_separate_cm_zero_ranged_scaled[,1], pi_separate_cm_zero_ranged_scaled[,2]+offset)
#mix <- 0.6
#lines(i_cm_zero_ranged_scaled[,1], (1-mix)*i_cm_zero_ranged_scaled[,2] + mix*p_cm_zero_ranged_scaled[,2]+offset, col="blue")
lines(i_cm_zero_ranged_scaled[,1], i_cm_zero_ranged_scaled[,2]+offset*2)
lines(p_cm_zero_ranged_scaled[,1], p_cm_zero_ranged_scaled[,2]+offset*3)
library(fields)
xline(27.02, col="red")
xline(27.8, col="red")
lines(c(26.88, 26.88), c(-2, 3.1), col="red")



