pdf(file="Figure_5_two_components_DSC.pdf", 8.3*0.8*2, 11.7*0.8)

###TEREPHTHALIC + PHTHALIC ACID###

# Read in data
#t_zero_TI_separate <- read.csv(file="Iso and terephthalic acid/it_CM_separately_ zero weeks.txt", sep="\t", header=FALSE) EMPTY FILE
t_zero_TI_together <- read.csv(file="Data/Iso and terephthalic acid/it_CM_together_ zero weeks.txt", sep="\t", header=FALSE)
t_three_weeks_TI_separate <- read.csv(file="Data/Iso and terephthalic acid/it_CM_separately_ 3 weeks.txt", sep="\t", header=FALSE)
t_three_weeks_TI_together <- read.csv(file="Data/Iso and terephthalic acid/it_CM_together_ zero weeks.txt", sep="\t", header=FALSE)

t_zero_TP_separate <- read.csv(file="Data/Phthalic and terephthalic acid/PT_CM_ separately_ zero weeks.txt", sep="\t", header=FALSE)
t_zero_TP_together <- read.csv(file="Data/Phthalic and terephthalic acid/PT_CM_ together_ zero weeks.txt", sep="\t", header=FALSE)
t_three_weeks_TP_separate <- read.csv(file="Data/Phthalic and terephthalic acid/PT_CM_ separately_ 3 weeks.txt", sep="\t", header=FALSE)
t_three_weeks_TP_together <- read.csv(file="Data/Phthalic and terephthalic acid/PT_CM_ together_ 3 weeks.txt", sep="\t", header=FALSE)

t_zero_PI_separate <- read.csv(file="Data/Phthalic and isophthalic acid/PI_CM separately_ zero weeks.txt", sep="\t", header=FALSE)
t_zero_PI_together <- read.csv(file="Data/Phthalic and isophthalic acid/PI_CM_ together_ zero weeks.txt", sep="\t", header=FALSE)
t_three_weeks_PI_separate <- read.csv(file="Data/Phthalic and isophthalic acid/PI_CM_ separately_ 3 weeks.txt", sep="\t", header=FALSE)
t_three_weeks_PI_together <- read.csv(file="Data/Phthalic and isophthalic acid/PI CM together_3 weeks.txt", sep="\t", header=FALSE)

T_zero_ref <- read.csv(file="../Figure_2_DSC_single_components/Data/Terephthalic acid/T_ cm_ zero weeks.txt", sep="\t", header=FALSE)
I_zero_ref <- read.csv(file="../Figure_2_DSC_single_components/Data/Isophthalic acid/Isophthalic acid CM_zero weeks.txt", sep="\t", header=FALSE)
P_zero_ref <- read.csv(file="../Figure_2_DSC_single_components/Data/Phthalic acid/phthalic acid_CM zero weeks.txt", sep="\t", header=FALSE)

# Plot main figure a
par(fig = c(0,1/3,0,1))
offset <- 3.5
mini_offset <- -5
xmax <- 350
xmin <- 30
ymin <- -25
ymax <- 12
#plot(t_zero_TI_separate, type="l", ylim=c(-12, 18), ylab="Heat flow (W/g)", xlab=expression(paste("Temperature ", "(", degree, "C)", sep="")), main="b) Terephthalic + isophthalic acid")
#text(-10, 0.15, "Separate: t=0", adj = c(0, NA))
#lines(t_zero_TI_together[,1], t_zero_TI_together[,2]+offset*1)
#text(-10, 5, "Together: t=0", adj = c(0, NA))

plot(t_zero_TI_together[,1], t_zero_TI_together[,2], type="l", ylim=c(ymin, ymax), ylab="Heat flow (W/g)", xlab=expression(paste("Temperature ", "(", degree, "C)", sep="")), main="a) Terephthalic + isophthalic acid", xlim=c(xmin, xmax))
text(50, 0.35, "t=0", adj = c(0, NA))
#lines(t_three_weeks_TI_separate[,1], t_three_weeks_TI_separate[,2]+offset*2)
#text(50, 10.2, "Separate: t=three weeks", adj = c(0, NA))
lines(t_three_weeks_TI_together[,1], t_three_weeks_TI_together[,2]+offset*3)
text(50, 11, "t=3 weeks", adj = c(0, NA))
lines(T_zero_ref[,1], T_zero_ref[,2] + 1.5*mini_offset, col="red")
text(50, -7, "TPA reference", adj = c(0, NA), col="red")
lines(I_zero_ref[,1], I_zero_ref[,2] + 2*mini_offset, col="red")
text(50, -9.5, "IPA reference", adj = c(0, NA), col="red")

# Plot main figure b
par(fig = c(1/3,2/3,0,1), new=T)
plot(t_zero_TP_together, type="l", ylim=c(ymin, ymax), ylab="Heat flow (W/g)", xlab=expression(paste("Temperature ", "(", degree, "C)", sep="")), main="b) Terephthalic + phthalic acid", xlim=c(xmin, xmax))
text(50, 0.35, "t=0", adj = c(0, NA))
#lines(t_zero_TP_together[,1], t_zero_TP_together[,2]+offset*1)
#text(50, 5.2, "Together: t=0", adj = c(0, NA))
#lines(t_three_weeks_TP_separate[,1], t_three_weeks_TP_separate[,2]+offset*2)
#text(50, 10.2, "Separate: t=three weeks", adj = c(0, NA))
lines(t_three_weeks_TP_together[,1], t_three_weeks_TP_together[,2]+offset*3)
text(50, 17.2, "t=three weeks", adj = c(0, NA))
lines(T_zero_ref[,1], T_zero_ref[,2] + 1.5*mini_offset, col="red")
text(50, -7, "TPA reference", adj = c(0, NA), col="red")
lines(P_zero_ref[,1], P_zero_ref[,2] + 2*mini_offset, col="red")
text(50, -9.8, "PA reference", adj = c(0, NA), col="red")

# Plot main figure c
par(fig = c(2/3,1,0,1), new = T)
offset <- 5
plot(t_zero_PI_together, type="l", ylim=c(ymin, ymax), ylab="Heat flow (W/g)", xlab=expression(paste("Temperature ", "(", degree, "C)", sep="")), main="c) Isophthalic + phthalic acid", xlim=c(xmin,xmax))
text(50, 0.35, "t=0", adj = c(0, NA))
#lines(t_zero_PI_together[,1], t_zero_PI_together[,2]+offset*1)
#text(50, 5.2, "Together: t=0", adj = c(0, NA))
#lines(t_three_weeks_PI_separate[,1], t_three_weeks_PI_separate[,2]+offset*2)
#text(50, 10.2, "Separate: t=three weeks", adj = c(0, NA))
lines(t_three_weeks_PI_together[,1], t_three_weeks_PI_together[,2]+offset*2)
lines(P_zero_ref[,1], P_zero_ref[,2] + 1.5*mini_offset, col="red")
text(50, -7.5, "PA reference", adj = c(0, NA), col="red")
lines(I_zero_ref[,1], I_zero_ref[,2] + 2*mini_offset, col="red")
text(50, -9.8, "IPA reference", adj = c(0, NA), col="red")

dev.off()
q()


# SI figure
plot(t_zero_TI_together[,1], t_zero_TI_together[,2], type="l", ylim=c(ymin, ymax), ylab="Heat flow (W/g)", xlab=expression(paste("Temperature ", "(", degree, "C)", sep="")), main="a) Terephthalic + isophthalic acid", xlim=c(xmin, xmax))
text(50, 0.35, "t=0", adj = c(0, NA))
#lines(t_three_weeks_TI_separate[,1], t_three_weeks_TI_separate[,2]+offset*2)
#text(50, 10.2, "Separate: t=three weeks", adj = c(0, NA))
lines(t_three_weeks_TI_together[,1], t_three_weeks_TI_together[,2]+offset*3)
text(50, 17.2, "t=three weeks", adj = c(0, NA))

# Plot main figure b
par(fig = c(1/3,2/3,0,1), new=T)
offset <- 5
plot(t_zero_TP_together, type="l", ylim=c(ymin, ymax), ylab="Heat flow (W/g)", xlab=expression(paste("Temperature ", "(", degree, "C)", sep="")), main="b) Terephthalic + phthalic acid", xlim=c(xmin, xmax))
text(50, 0.35, "t=0", adj = c(0, NA))
#lines(t_zero_TP_together[,1], t_zero_TP_together[,2]+offset*1)
#text(50, 5.2, "Together: t=0", adj = c(0, NA))
#lines(t_three_weeks_TP_separate[,1], t_three_weeks_TP_separate[,2]+offset*2)
#text(50, 10.2, "Separate: t=three weeks", adj = c(0, NA))
lines(t_three_weeks_TP_together[,1], t_three_weeks_TP_together[,2]+offset*3)
text(50, 17.2, "t=three weeks", adj = c(0, NA))

# Plot main figure c
par(fig = c(2/3,1,0,1), new = T)
offset <- 5
plot(t_zero_PI_together, type="l", ylim=c(ymin, ymax), ylab="Heat flow (W/g)", xlab=expression(paste("Temperature ", "(", degree, "C)", sep="")), main="c) Isophthalic + phthalic acid", xlim=c(xmin,xmax))
text(50, 0.35, "t=0", adj = c(0, NA))
#lines(t_zero_PI_together[,1], t_zero_PI_together[,2]+offset*1)
#text(50, 5.2, "Together: t=0", adj = c(0, NA))
#lines(t_three_weeks_PI_separate[,1], t_three_weeks_PI_separate[,2]+offset*2)
#text(50, 10.2, "Separate: t=three weeks", adj = c(0, NA))
lines(t_three_weeks_PI_together[,1], t_three_weeks_PI_together[,2]+offset*3)


dev.off()

q()
# Plot inset
par(fig = c(0.035,0.83*1/3, 0.07, 0.55), new = T)  
offset <- 1
plot(unmilled_TI, type="l", ylim=c(-0.5, 4.2), ylab="", xlab="", xlim=c(80, 200))
lines(t_zero_TI_separate[,1], t_zero_TI_separate[,2]+offset)
#lines(t_zero_2[,1], t_zero_2[,2]+offset)
lines(t_zero_TI_together[,1], t_zero_TI_together[,2]+offset*2)
lines(t_three_weeks_TI_separate[,1], t_three_weeks_TI_separate[,2]+offset*3)
lines(t_three_weeks_TI_together[,1], t_three_weeks_TI_together[,2]+offset*4)

dev.off()
