xmin <- 10
xmax <- 35

P_CM_0 <- read.csv(file="Phthalic acid CM_zero weeks.xy", sep="", header=FALSE)
P_CM_0 <- subset(P_CM_0, P_CM_0[,1] >= xmin & P_CM_0[,1] <= xmax)
P_CM_0[,2] <- P_CM_0[,2] / max(P_CM_0[,2])

T_CM_0 <- read.csv(file="Terephthathalic acid CM_zero weeks.xy", sep="", header=FALSE)
T_CM_0 <- subset(T_CM_0, T_CM_0[,1] >= xmin & T_CM_0[,1] <= xmax)
T_CM_0[,2] <- T_CM_0[,2] / max(T_CM_0[,2])

TP_separate_0 <- read.csv(file="Phthalic and terephthalic acid CM separately_zero weeks.xy", sep="", header=FALSE)
TP_separate_0 <- subset(TP_separate_0, TP_separate_0[,1] >= xmin & TP_separate_0[,1] <= xmax)
TP_separate_0[,2] <- TP_separate_0[,2] / max(TP_separate_0[,2])

TP_together_0 <- read.csv(file="Phthalic and terephthalic acid CM together_zero weeks.xy", sep="", header=FALSE)
TP_together_0 <- subset(TP_together_0, TP_together_0[,1] >= xmin & TP_together_0[,1] <= xmax)
TP_together_0[,2] <- TP_together_0[,2] / max(TP_together_0[,2])

TP_separate_3 <- read.csv(file="Phthalic and terephthalic acid CM separately_week 3.xy", sep="", header=FALSE)
TP_separate_3 <- subset(TP_separate_3, TP_separate_3[,1] >= xmin & TP_separate_3[,1] <= xmax)
TP_separate_3[,2] <- TP_separate_3[,2] / max(TP_separate_3[,2])

TP_together_3 <- read.csv(file="Phthalic and terephthalic CM together_week3.xy", sep="", header=FALSE)
TP_together_3 <- subset(TP_together_3, TP_together_3[,1] >= xmin & TP_together_3[,1] <= xmax)
TP_together_3[,2] <- TP_together_3[,2] / max(TP_together_3[,2])

offset <- 1
library(fields)
start_text_position_y <- -0.15
start_text_position_x <- 15
pdf("TP_XRPD_for_paper.pdf", 8.3, 11.7)
plot(P_CM_0, type="l", xlab=expression(paste("Angle (",degree,"2", theta,")")), ylab="Tntensity (offset and normalised)", ylim=c(0, 6))
text(start_text_position_x, start_text_position_y, "Phthalic acid zero weeks")
lines(T_CM_0[,1], T_CM_0[,2] + offset)
text(start_text_position_x, start_text_position_y+offset, "Terephthalic acid zero weeks")
lines(TP_separate_0[,1], TP_separate_0[,2] + offset*2)
text(start_text_position_x, start_text_position_y+offset*2, "Physical mixture zero weeks")
lines(TP_separate_3[,1], TP_separate_3[,2] + offset*3)
text(start_text_position_x, start_text_position_y+offset*3, "Physical mixture three weeks")
lines(TP_together_0[,1], TP_together_0[,2] + offset*4)
text(start_text_position_x, start_text_position_y+offset*4, "Co-cryo-milled zero weeks")
lines(TP_together_3[,1], TP_together_3[,2] + offset*5)
text(start_text_position_x, start_text_position_y+offset*5, "Co-cryo-milled three weeks")
xline(27.0, col="red")
xline(27.75, col="red")
#xline(27.9, col="red")
dev.off()


